diff --git a/components/serialization/connectivity/ser_conn_handlers.h b/components/serialization/connectivity/ser_conn_handlers.h
index 8fe57fe..79570d4 100644
--- a/components/serialization/connectivity/ser_conn_handlers.h
+++ b/components/serialization/connectivity/ser_conn_handlers.h
@@ -80,7 +80,7 @@ extern "C" {
 #ifdef S112
 #define SER_CONN_SCHED_QUEUE_SIZE             8u
 #else
-#define SER_CONN_SCHED_QUEUE_SIZE             16u
+#define SER_CONN_SCHED_QUEUE_SIZE             64u
 #endif
 
 /** Maximum size of events data in the application scheduler queue aligned to 32 bits - this is
diff --git a/examples/connectivity/ble_connectivity/main.c b/examples/connectivity/ble_connectivity/main.c
index 32cc412..03d64c9 100644
--- a/examples/connectivity/ble_connectivity/main.c
+++ b/examples/connectivity/ble_connectivity/main.c
@@ -78,7 +78,6 @@
 #define PCA10059_PIN_RESET 19
 #endif
 
-
 #if defined(APP_USBD_ENABLED) && APP_USBD_ENABLED
 #include "app_usbd_serial_num.h"
 #include "app_usbd.h"
@@ -268,6 +267,7 @@ int main(void)
     NRF_LOG_DEFAULT_BACKENDS_INIT();
 
     NRF_LOG_INFO("BLE connectivity started");
+	NRF_LOG_ERROR("BLE connectivity started, error logging enabled");
 
 #if BOARD_DETECTION
     uint32_t pin_reset = PCA10059_PIN_RESET;
@@ -368,6 +368,8 @@ int main(void)
     {
         /* Process SoftDevice events. */
         app_sched_execute();
+		
+		CRITICAL_REGION_ENTER();
         if (nrf_sdh_is_suspended())
         {
             // Resume pulling new events if queue utilization drops below 50%.
@@ -376,6 +378,7 @@ int main(void)
                 nrf_sdh_resume();
             }
         }
+		CRITICAL_REGION_EXIT();
 
         /* Process received packets.
          * We can NOT add received packets as events to the application scheduler queue because
diff --git a/examples/connectivity/ble_connectivity/pca10056/ser_s140_usb_hci/config/sdk_config.h b/examples/connectivity/ble_connectivity/pca10056/ser_s140_usb_hci/config/sdk_config.h
index e83af8d..960fec3 100644
--- a/examples/connectivity/ble_connectivity/pca10056/ser_s140_usb_hci/config/sdk_config.h
+++ b/examples/connectivity/ble_connectivity/pca10056/ser_s140_usb_hci/config/sdk_config.h
@@ -1770,11 +1770,11 @@
 // <e> NRF_LOG_BACKEND_UART_ENABLED - nrf_log_backend_uart - Log UART backend
 //==========================================================
 #ifndef NRF_LOG_BACKEND_UART_ENABLED
-#define NRF_LOG_BACKEND_UART_ENABLED 0
+#define NRF_LOG_BACKEND_UART_ENABLED 1
 #endif
 // <o> NRF_LOG_BACKEND_UART_TX_PIN - UART TX pin 
 #ifndef NRF_LOG_BACKEND_UART_TX_PIN
-#define NRF_LOG_BACKEND_UART_TX_PIN 6
+#define NRF_LOG_BACKEND_UART_TX_PIN 31
 #endif
 
 // <o> NRF_LOG_BACKEND_UART_BAUDRATE  - Default Baudrate
@@ -1815,7 +1815,7 @@
 // <e> NRF_LOG_ENABLED - nrf_log - Logger
 //==========================================================
 #ifndef NRF_LOG_ENABLED
-#define NRF_LOG_ENABLED 0
+#define NRF_LOG_ENABLED 1
 #endif
 // <h> Log message pool - Configuration of log message pool
 
@@ -1887,7 +1887,7 @@
 // <4=> Debug 
 
 #ifndef NRF_LOG_DEFAULT_LEVEL
-#define NRF_LOG_DEFAULT_LEVEL 3
+#define NRF_LOG_DEFAULT_LEVEL 1
 #endif
 
 // <q> NRF_LOG_DEFERRED  - Enable deffered logger.
diff --git a/examples/connectivity/ble_connectivity/pca10056/ser_s140_usb_hci/ses/ble_connectivity_s140_usb_hci_pca10056.emProject b/examples/connectivity/ble_connectivity/pca10056/ser_s140_usb_hci/ses/ble_connectivity_s140_usb_hci_pca10056.emProject
index 46f2b03..d782a4a 100644
--- a/examples/connectivity/ble_connectivity/pca10056/ser_s140_usb_hci/ses/ble_connectivity_s140_usb_hci_pca10056.emProject
+++ b/examples/connectivity/ble_connectivity/pca10056/ser_s140_usb_hci/ses/ble_connectivity_s140_usb_hci_pca10056.emProject
@@ -116,7 +116,6 @@
       <file file_name="../../../../../../components/serialization/common/struct_ser/ble/nrf_soc_struct_serialization.c" />
       <file file_name="../../../../../../components/serialization/connectivity/ser_conn_cmd_decoder.c" />
       <file file_name="../../../../../../components/serialization/connectivity/ser_conn_dtm_cmd_decoder.c" />
-      <file file_name="../../../../../../components/serialization/connectivity/ser_conn_error_handling.c" />
       <file file_name="../../../../../../components/serialization/connectivity/ser_conn_event_encoder.c" />
       <file file_name="../../../../../../components/serialization/connectivity/ser_conn_handlers.c" />
       <file file_name="../../../../../../components/serialization/connectivity/ser_conn_pkt_decoder.c" />
@@ -162,8 +161,11 @@
       <file file_name="../../../../../../components/softdevice/common/nrf_sdh_soc.c" />
     </folder>
   </project>
-  <configuration Name="Release"
-    c_preprocessor_definitions="NDEBUG"
+  <configuration Name="Release_LFRC"
+    c_preprocessor_definitions="DEBUG; DEBUG_NRF; NRF_SDH_CLOCK_LF_SRC=0; NRF_SDH_CLOCK_LF_RC_CTIV=16; NRF_SDH_CLOCK_LF_RC_TEMP_CTIV=2; NRF_SDH_CLOCK_LF_ACCURACY=1"
+    gcc_optimization_level="Optimize For Size" />
+  <configuration Name="Release_LFXO"
+    c_preprocessor_definitions="DEBUG; DEBUG_NRF; NRF_SDH_CLOCK_LF_SRC=1; NRF_SDH_CLOCK_LF_RC_CTIV=0; NRF_SDH_CLOCK_LF_RC_TEMP_CTIV=0; NRF_SDH_CLOCK_LF_ACCURACY=7"
     gcc_optimization_level="Optimize For Size" />
   <configuration Name="Debug"
     c_preprocessor_definitions="DEBUG; DEBUG_NRF"
diff --git a/examples/connectivity/ble_connectivity/pca10056/ser_s140_usb_hci/ses/ble_connectivity_s140_usb_hci_pca10056.emSession b/examples/connectivity/ble_connectivity/pca10056/ser_s140_usb_hci/ses/ble_connectivity_s140_usb_hci_pca10056.emSession
index 34728cb..dafef3d 100644
--- a/examples/connectivity/ble_connectivity/pca10056/ser_s140_usb_hci/ses/ble_connectivity_s140_usb_hci_pca10056.emSession
+++ b/examples/connectivity/ble_connectivity/pca10056/ser_s140_usb_hci/ses/ble_connectivity_s140_usb_hci_pca10056.emSession
@@ -1,6 +1,6 @@
 <!DOCTYPE CrossStudio_Session_File>
 <session>
-  <ARMCrossStudioWindow activeProject="ble_connectivity_s140_usb_hci_pca10056" buildConfiguration="Release"/>
+  <ARMCrossStudioWindow activeProject="ble_connectivity_s140_usb_hci_pca10056" buildConfiguration="Release_LFXO"/>
   <Files>
     <SessionOpenFile codecName="Default" debugPath="../../../main.c" left="0" name="unnamed" path="../../../main.c" selected="1" top="0" useBinaryEdit="0" useTextEdit="1" x="0" y="0"/>
   </Files>
